%global namedreltag -b001
%global namedversion %{version}%{?namedreltag}
Name:          glassfish-management-api
Version:       3.2.0
Release:       %mkrel 0.3.b001.2
Group:         Development/Java
Summary:       GlassFish Common APIs
License:       CDDL or GPLv2 with exceptions
URL:           http://java.net/projects/gmbal/pages/Home
# hg clone -r VERSION-3.2.0-b001 https://hg.java.net/hg/gmbal~gf_common/ glassfish-management-api-3.2.0-b001
# tar czf glassfish-management-api-3.2.0-b001-src-hg.tar.gz glassfish-management-api-3.2.0-b001
# or
Source0:       http://central.maven.org/maven2/org/glassfish/external/management-api/%{namedversion}/management-api-%{namedversion}-sources.jar
Source1:       http://central.maven.org/maven2/org/glassfish/external/management-api/%{namedversion}/management-api-%{namedversion}.pom
# wget -O glassfish-LICENSE.txt https://svn.java.net/svn/glassfish~svn/tags/legal-1.1/src/main/resources/META-INF/LICENSE.txt
# glassfish-management-api package don't include the license file
Source2:       glassfish-LICENSE.txt

Patch0:        %{name}-%{namedversion}-remove-gpg-plugin.patch

BuildRequires: java-devel
BuildRequires: jvnet-parent

BuildRequires: maven-local
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-source-plugin

BuildArch:     noarch

%description
The GlassFish MBean Annotation Library (gmbal, pronounced "Gumball")
is a library for using annotations to create Open MBeans. There is similar
functionality in JSR 255 for JDK 7, but gmbal only requires JDK 5. Gmbal
also supports JSR 77 ObjectNames and the GlassFish Version 3 AMX 
requirements for MBeans. AS a consequence, gmbal-enabled classes
will be fully manageable in GlassFish v3 using the standard GlassFish
v3 admin tools, while still being manageable with generic MBean tools
when not run under GlassFish v3.

This package contains the gmbal Common APIs.

%package javadoc
Summary:       Javadoc for %{name}
Group:         Documentation

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -T -q -c

# fixing incomplete source directory structure
mkdir -p src/main/java

(
  cd src/main/java
  unzip -qq %{SOURCE0}
  rm -rf META-INF
)

cp -p %{SOURCE1} pom.xml
%patch0 -p0

cp -p %{SOURCE2} LICENSE.txt
sed -i 's/\r//' LICENSE.txt

%build

%mvn_file :management-api %{name}
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 3.2.0-0.3.b001.2.mga4
+ Revision: 544992
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 dmorgan <dmorgan> 3.2.0-0.3.b001.1.mga4
+ Revision: 500582
- New version

* Sat Jan 12 2013 umeabot <umeabot> 3.1.0-0.3.b001.mga3
+ Revision: 351754
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 boklm <boklm> 3.1.0-0.2.b001.mga3
+ Revision: 344003
- Add rel macro so that youri updater can bump release

* Sat Feb 11 2012 gil <gil> 3.1.0-0.1.b001.mga2
+ Revision: 207123
- imported package glassfish-management-api

